Bug 1022515 - createrepo failure leaves .repodata temp dir behind
createrepo failure leaves .repodata temp dir behind
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: createrepo (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-23 08:57 EDT by Zdeněk Pavlas
Modified: 2014-02-02 17:29 EST (History)
3 users (show)

See Also:
Fixed In Version: createrepo-0.10.1-0.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-20 21:28:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zdeněk Pavlas 2013-10-23 08:57:25 EDT
Description of problem:

When there's a fatal error during a createrepo run, .repodata directory is left behind.

Version-Release number of selected component (if applicable):

createrepo-0.10-2.fc21

How reproducible:

always

Steps to Reproduce:

1. mkdir repo; touch repo/pkg.rpm; echo pkg.rpm >pkglist
2. createrepo -i pkglist

Actual results:

createrepo fails with "RPM Error opening Package", but leaves .repodata dir.

Expected results:

no .repodata dir.

Additional info:
Comment 1 Fedora Update System 2013-12-19 06:31:46 EST
createrepo-0.10.1-0.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/createrepo-0.10.1-0.fc20
Comment 2 Fedora Update System 2013-12-19 20:53:21 EST
Package createrepo-0.10.1-0.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing createrepo-0.10.1-0.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23644/createrepo-0.10.1-0.fc20
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-12-20 21:28:10 EST
createrepo-0.10.1-0.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.